umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Types | Public Member Functions | Static Public Member Functions | List of all members
DialogsPopupMenu Class Reference

`#include <dialogspopupmenu.h>`

Inheritance diagram for DialogsPopupMenu:

## Public Types
enum | TriggerType { tt_Min = -1, tt_Activity_Selected, tt_Association_Selected, tt_Attribute_Selected, tt_EntityAttribute_Selected, tt_EnumLiteral_Selected, tt_InstanceAttribute_Selected, tt_New_Activity, tt_New_Attribute, tt_New_EntityAttribute, tt_New_EnumLiteral, tt_New_InstanceAttribute, tt_New_Operation, tt_New_Parameter, tt_New_Template, tt_Operation_Selected, tt_Parameter_Selected, tt_Template_Selected, tt_Undefined, tt_Max }
| < This type hosts all possible menu types. More...
Public Types inherited from ListPopupMenu
enum | MenuType { mt_Model, mt_Activity_Diagram, mt_Class_Diagram, mt_Collaboration_Diagram, mt_Component_Diagram, mt_Deployment_Diagram, mt_EntityRelationship_Diagram, mt_Sequence_Diagram, mt_State_Diagram, mt_UseCase_Diagram, mt_Logical_Folder, mt_UseCase_Folder, mt_Component_Folder, mt_Deployment_Folder, mt_EntityRelationship_Folder, mt_Accept_Signal, mt_Accept_Time_Event, mt_Activity, mt_Activity_Transition, mt_Actor, mt_Artifact, mt_Attribute, mt_Branch, mt_Category, mt_CheckConstraint, mt_Choice, mt_Class, mt_CombinedState, mt_Component, mt_Datatype, mt_DeepHistory, mt_DisjointSpecialisation, mt_EditCombinedState, mt_End_Activity, mt_End_State, mt_Entity, mt_EntityAttribute, mt_Enum, mt_EnumLiteral, mt_Exception, mt_FloatText, mt_Final_Activity, mt_ForeignKeyConstraint, mt_Fork, mt_GoToStateDiagram, mt_Initial_Activity, mt_Initial_State, mt_Invoke_Activity, mt_Instance, mt_InstanceAttribute, mt_Interface, mt_InterfaceComponent, mt_InterfaceProvided, mt_InterfaceRequired, mt_Junction, mt_MessageAsynchronous, mt_MessageCreation, mt_MessageDestroy, mt_MessageFound, mt_MessageLost, mt_MessageSynchronous, mt_Node, mt_Note, mt_Object, mt_Object_Node, mt_Operation, mt_OverlappingSpecialisation, mt_Package, mt_Param_Activity, mt_Pin, mt_Port, mt_PrePostCondition, mt_PrimaryKeyConstraint, mt_Region, mt_SelectStateDiagram, mt_Send_Signal, mt_ShallowHistory, mt_State, mt_StateFork, mt_StateJoin, mt_StateTransition, mt_Subsystem, mt_Template, mt_Union, mt_UniqueConstraint, mt_UseCase, mt_New_Activity, mt_New_Attribute, mt_New_EntityAttribute, mt_New_EnumLiteral, mt_New_InstanceAttribute, mt_New_Operation, mt_New_Parameter, mt_New_Template, mt_RemoveStateDiagram, mt_ReturnToClass, mt_ReturnToCombinedState, mt_Hide_Attribute_Signature_Selection, mt_Hide_Attributes_Selection, mt_Hide_Destruction_Box, mt_Hide_NonPublic_Selection, mt_Hide_Operation_Signature_Selection, mt_Hide_Operations_Selection, mt_Hide_Packages_Selection, mt_Hide_Stereotypes_Selection, mt_Hide_Visibility_Selection, mt_Show_Attribute_Signature, mt_Show_Attribute_Signature_Selection, mt_Show_Attributes_Selection, mt_Show_Attributes, mt_Show_Destruction_Box, mt_Show_Documentation, mt_Show_NonPublic_Selection, mt_Show_Operation_Signature, mt_Show_Operation_Signature_Selection, mt_Show_Operations_Selection, mt_Show_Operations, mt_Show_Packages, mt_Show_Packages_Selection, mt_Show_Public_Only, mt_Show_Stereotypes, mt_Show_Stereotypes_Selection, mt_Show_Visibility_Selection, mt_Visibility, mt_DrawAsCircle, mt_ChangeToClass, mt_ChangeToInterface, mt_ChangeToPackage, mt_Open_File, mt_Rename_Object, mt_Select_Operation, mt_Properties, mt_Rename, mt_NameAsTooltip, mt_Show, mt_Delete, mt_Export_Image, mt_Import_Class, mt_Import_Project, mt_Cut, mt_Copy, mt_Paste, mt_Clear, mt_Redo, mt_Undo, mt_Reset_Label_Positions, mt_Line_Color, mt_Line_Color_Selection, mt_Fill_Color, mt_Fill_Color_Selection, mt_Use_Fill_Color, mt_Set_Use_Fill_Color_Selection, mt_Unset_Use_Fill_Color_Selection, mt_Rename_MultiA, mt_Rename_MultiB, mt_Rename_Name, mt_Rename_RoleAName, mt_Rename_RoleBName, mt_Change_Font, mt_Change_Font_Selection, mt_SnapToGrid, mt_SnapComponentSizeToGrid, mt_ShowDocumentationIndicator, mt_ShowSnapGrid, mt_AutoResize, mt_Resize, mt_Up, mt_Down, mt_FlipHorizontal, mt_FlipVertical, mt_Add_Point, mt_Delete_Point, mt_Auto_Layout_Spline, mt_Expand_All, mt_Collapse_All, mt_Refactoring, mt_ViewCode, mt_Clone, mt_Externalize_Folder, mt_Internalize_Folder, mt_AddInteractionOperand, mt_Apply_Layout, mt_Apply_Layout1, mt_Apply_Layout2, mt_Apply_Layout3, mt_Apply_Layout4, mt_Apply_Layout5, mt_Apply_Layout6, mt_Apply_Layout7, mt_Apply_Layout8, mt_Apply_Layout9, mt_LayoutDirect, mt_LayoutSpline, mt_LayoutOrthogonal, mt_LayoutPolyline, mt_Align_Right, mt_Align_Left, mt_Align_Top, mt_Align_Bottom, mt_Align_VerticalMiddle, mt_Align_HorizontalMiddle, mt_Align_VerticalDistribute, mt_Align_HorizontalDistribute, mt_Import_from_File, mt_Remove, mt_Undefined = - 1 }
| < This type hosts all possible menu entry types More...
enum | DataType { dt_MenuPointer, dt_ApplyLayout }
| < Key value of the data map used in actions. More...

## Public Member Functions
| DialogsPopupMenu (QWidget *parent, TriggerType type)
void | insertSubMenuNew (TriggerType type, KMenu *menu=0)
Public Member Functions inherited from ListPopupMenu
| ListPopupMenu (QWidget *parent=0)
virtual | ~ListPopupMenu ()
QAction * | getAction (MenuType idx)
void | setActionEnabled (MenuType idx, bool value)
MenuType | getMenuType (QAction *action)
void | dumpActions (const QString &title)
KMenu * | newMenu (const QString &title, QWidget *widget)
void | addMenu (KMenu *menu)

## Static Public Member Functions
static QString | toString (TriggerType type)
Static Public Member Functions inherited from ListPopupMenu
static QString | toString (MenuType menu)
static QString | toString (DataType data)
static QVariant | dataFromAction (DataType key, QAction *action)
static UMLObject::ObjectType | convert_MT_OT (MenuType mt)
static ListPopupMenu * | menuFromAction (QAction *action)
static MenuType | typeFromAction (QAction *action)

## Additional Inherited Members
Protected Member Functions inherited from ListPopupMenu
void | insert (MenuType m)
void | insertFromActionKey (const MenuType m, KMenu *menu, const QString &action)
void | insert (const MenuType m, KMenu *menu)
void | insert (const MenuType m, KMenu *menu, const QIcon &icon, const QString &text)
void | insert (const MenuType m, KMenu *menu, const QString &text, const bool checkable=false)
void | insert (const MenuType m, const QIcon &icon, const QString &text)
void | insert (const MenuType m, const QString &text, const bool checkable=false)
void | insertContainerItems (bool folderAndDiagrams, bool packages=true)
void | insertContainerItems (KMenu *menu, bool folderAndDiagrams, bool packages)
void | insertAssociationTextItem (const QString &label, MenuType mt)
KMenu * | makeNewMenu ()
void | insertSubMenuCategoryType (UMLCategory *category)
void | setActionChecked (MenuType idx, bool value)
void | setupActionsData ()
Protected Attributes inherited from ListPopupMenu
QHash< MenuType, QAction * > | m_actions
ListPopupMenuPrivate * | d

## Member Enumeration Documentation

## ◆ TriggerType

enum DialogsPopupMenu::TriggerType

< This type hosts all possible menu types.

Enumerator
tt_Min |
tt_Activity_Selected |
tt_Association_Selected |
tt_Attribute_Selected |
tt_EntityAttribute_Selected |
tt_EnumLiteral_Selected |
tt_InstanceAttribute_Selected |
tt_New_Activity |
tt_New_Attribute |
tt_New_EntityAttribute |
tt_New_EnumLiteral |
tt_New_InstanceAttribute |
tt_New_Operation |
tt_New_Parameter |
tt_New_Template |
tt_Operation_Selected |
tt_Parameter_Selected |
tt_Template_Selected |
tt_Undefined |
tt_Max |

## Constructor & Destructor Documentation

## ◆ DialogsPopupMenu()

DialogsPopupMenu::DialogsPopupMenu | ( | QWidget * | parent,
|  | TriggerType | type
| ) |  |

## Member Function Documentation

## ◆ insertSubMenuNew()

void DialogsPopupMenu::insertSubMenuNew | ( | TriggerType | type,
|  | KMenu * | menu = `0`
| ) |  |

Shortcut for commonly used sub menu initializations.

Parameters

  type | The MenuType for which to set up the menu.

## ◆ toString()

QString DialogsPopupMenu::toString | ( | TriggerType | type | ) |
| static

Convert enum MenuType to string.

The documentation for this class was generated from the following files:

- umbrello/menus/dialogspopupmenu.h
- umbrello/menus/dialogspopupmenu.cpp